OpenVDB 7.0.0

Public Member Functions | Public Attributes | List of all members
RemapIndices< ParticleArrayType, PointIndexLeafNodeType > Struct Template Reference

`#include <ParticleAtlas.h>`

## Public Member Functions
| RemapIndices (const ParticleArrayType &particles, std::vector< PointIndexLeafNodeType * > &nodes)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
const ParticleArrayType *const | mParticles
PointIndexLeafNodeType *const *const | mNodes

## Constructor & Destructor Documentation

## ◆ RemapIndices()

RemapIndices | ( | const ParticleArrayType & | particles,
|  | std::vector< PointIndexLeafNodeType * > & | nodes
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mNodes

PointIndexLeafNodeType* const * const mNodes

## ◆ mParticles

const ParticleArrayType* const mParticles

The documentation for this struct was generated from the following file:

- ParticleAtlas.h